Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003410opensim[REGION] OpenSim Corepublic2009-04-05 15:452011-08-06 04:13
Reporterralphclintellis 
Assigned To 
PrioritynormalSeverityminorReproducibilitysometimes
StatusacknowledgedResolutionopen 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0003410: avatar flies up upon 'Stand up' from a 'sit'
DescriptionA seated avatar will often fly 10 apparent meters or so when the 'stand up' button is clicked.
TagsNo tags attached.
Git Revision or version number
Run ModeStandalone (1 Region)
Physics EngineODE
Script Engine
EnvironmentMono / Linux32
Mono Version1.9.1
Viewer
Attached Filespatch file icon FixThrowOnStand.patch [^] (1,565 bytes) 2009-04-05 20:15 [Show Content]

- Relationships

-  Notes
(0010442)
ARADTech (reporter)
2009-04-05 19:11

See this constantly.
(0010445)
Jeremia (reporter)
2009-04-05 19:54

Confirmed.
(0010446)
Intimidated (reporter)
2009-04-05 20:18

Patch uploaded against 9021.

Basically, this moves the avatar above the prim on stand. It takes into account the sit offset and the avatar height.

I need feedback on this patch, please apply it and report back here.

Also, please see 0003374 for a fix on the default prim sit offset (related, but this patch should work anyway.)
(0010447)
ARADTech (reporter)
2009-04-05 21:00

Confirmed applied patch works for me will do more testing see if it interferes with anything else.
(0010482)
ralphclintellis (reporter)
2009-04-06 12:18

Patch seems to stop the 'high' flight but the stand up still very vigorous. Avatar usually ends up standing ON the prim from which it stood... of course in SL the point where the avatar ends up is somewhat variable, but usually is in front of the prim (defined as the direction the avatar was facing when seated).

This patch was tested when applied with the PartialSitOffsetFix.2.patch. (I should have tested it in isolation, but I got excited. :) )
(0010485)
ralphclintellis (reporter)
2009-04-06 12:35

Upon re-initialization of sim and client - while experimenting with the sit patch, had in instance of multiple bouncing when attempting to stand. Behavior ceased after 4 bounces.
(0010493)
Skelito (reporter)
2009-04-06 16:23

Not sure this helps here but, the avatar flies up upon 'Stand up' from a 'sit' also is in SL. This is only with a linkset couch or chair, etc. and you even get tossed horizontally a distance sometimes. The only workaround for this behavior there is...phantom the linkset. It also solves the issue here.

Not all linksets do this though. I usually sit and stand. If it launches me...I phantom the chair or couch!
(0010605)
cfk (administrator)
2009-04-10 10:07

Is this patch destined for SVN?
(0010648)
RemedyTomm (reporter)
2009-04-10 14:23

No, please don't commit it, i'm going to rewrite it with a little more throught, incorporate proper rotation based sitting and stuff.
(0011008)
cfk (administrator)
2009-04-25 12:25

How can we get to the 'resolved' state on this Mantis. Either by closing and moving the work to the forge, committing it, or modifying its state, please?
(0013508)
Fly-Man- (developer)
2009-09-19 06:52

This issue was automatically checked by Mantis Issue Check:

Patch is available on this issue
(0019390)
makopoppo (manager)
2011-08-06 04:13

Since patch submitter asked not to be applied, changed the status back.

I personally think it can't help considering preventing "stuck" the body. Waiting for some core dev's comment. (Since no one has replied to this issue yet)

- Issue History
Date Modified Username Field Change
2009-04-05 15:45 ralphclintellis New Issue
2009-04-05 15:45 ralphclintellis SVN Revision => 0
2009-04-05 15:45 ralphclintellis Run Mode => Standalone (1 Region)
2009-04-05 15:45 ralphclintellis Physics Engine => ODE
2009-04-05 15:45 ralphclintellis Environment => Mono / Linux32
2009-04-05 15:45 ralphclintellis Mono Version => 1.9.1
2009-04-05 19:11 ARADTech Note Added: 0010442
2009-04-05 19:54 Jeremia Note Added: 0010445
2009-04-05 20:15 Intimidated File Added: FixThrowOnStand.patch
2009-04-05 20:18 Intimidated SVN Revision 0 => 9021
2009-04-05 20:18 Intimidated Note Added: 0010446
2009-04-05 20:18 Intimidated Status new => patch included
2009-04-05 21:00 ARADTech Note Added: 0010447
2009-04-06 12:18 ralphclintellis Note Added: 0010482
2009-04-06 12:35 ralphclintellis Note Added: 0010485
2009-04-06 16:23 Skelito Note Added: 0010493
2009-04-10 10:07 cfk Note Added: 0010605
2009-04-10 14:23 RemedyTomm Note Added: 0010648
2009-04-25 12:25 cfk Note Added: 0011008
2009-09-19 06:52 Fly-Man- Note Added: 0013508
2011-08-06 04:09 makopoppo Status patch included => new
2011-08-06 04:10 makopoppo Status new => acknowledged
2011-08-06 04:13 makopoppo Note Added: 0019390


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker